//
//  LoginViewModel.swift
//  iOSFirst
//
//  Created by 孙宇峰 on 2023/2/3.
//

import Foundation
import Moya
import RxSwift
import RxCocoa
import RxRelay
import SwiftyJSON
import HandyJSON


class LoginViewModel  {
    
    private var bag = DisposeBag()
    var userResponse = PublishSubject<LoginUserInfo>()
    
    
    
    func loginUser(username:String,password:String) {
        NetworkManaer
            .request(AccountService.login(username, password, false)) {[weak self] json in
                //            self?.mTextView.text = String(describing: JSON(json))
                self?.userResponse.onNext(json)
                let userDefault=UserDefaults.standard
                userDefault.setValue(true, forKey: "isLogin")
                let bool = userDefault.bool(forKey: "isLogin")
                log.info(bool)
                // 实例对象转化成NSData
                let encodedObject = NSKeyedArchiver.archivedData(withRootObject: json)
                // 储存NSData对象
                userDefault.set(encodedObject, forKey: "userinfo")
                let decodeObject = NSKeyedUnarchiver.unarchiveObject(with: userDefault.object(forKey: "userinfo") as! Data ) as! LoginUserInfo
                print(decodeObject.token_value ?? "")
                
            } failure: {code, msg in
                log.info("code : \(code!)")
                log.info("message : \(msg)")
            }
    }
    
}
