//
//  LoginUserInfo.swift
//  iOSFirst
//
//  Created by 孙宇峰 on 2023/2/3.
//

import Foundation
import HandyJSON

class LoginUserInfo: NSObject, NSCoding,HandyJSON{
    
    
    required override init() {}
    
    
    //用户表
    var userid:Int?
    
    //姓名
    var username:String?
    
    //登录帐号
    var  loginname:String?
    
    //登录密码
    var  loginpwd:String?
    
    //学生学号
    var  studentno:String?
    
    //用户手机号
    var  userphone:String?
    
    //出生日期
    var  userbirthday:Int?
    
    //身份证号
    var  cardid:String?
    
    //头像地址
    var  headpic:String?
    
    //用户类型999超级管理员0学校管理员1老师2学生
    var  usertype:Int?
    
    //用户状态1正常2删除
    var  userstate:Int?
    
    //是否绑定硬件地址0不绑定1绑定
    var  bindmac:Int?
    
    //硬件地址
    var  mac:String?
    
    //硬件地址绑定的帐号
    var  macname:String?
    
    //学校是否绑定硬件地址0不绑定1绑定
    var  sbindmac:Int?
    
    //操作密码（教师操作密码）
    var  opepassword:String?
    
    //创建人id
    var  createid:Int?
    
    //创建人姓名
    var  createname:String?
    
    //创建时间
    var  createtime:Int?
    
    //删除人id
    var  deleteid:Int?
    
    //删除时间
    var  deletetime:Int?
    
    //学校id
    var  schoolid:Int?
    
    var  schoolname:String?
    
    //学校阶段1小学2初中3高中4大学
    var  schoollevel:Int?
    
    //学校状态1正常10删除
    var  schoolstate:Int?
    
    //错误率%
    var  errorrate:Double?
    
    //当前年份
    var  year:Int?
    
    //性别1男2女
    var  usersex:Int?
    
    //区域码
    var  cloudcode:String?
    
    //班级id
    var  classid:Int?
    
    //
    var  xznum:Int?
    
    // token
    var  token_value:String?
    
    
    // 从NSObject解析回来
    
    required  init?(coder aDecoder:NSCoder){
        self.userid=aDecoder.decodeObject(forKey: "userid") as? Int
        self.username=aDecoder.decodeObject(forKey: "username") as? String
        self.loginname=aDecoder.decodeObject(forKey: "loginname") as? String
        self.loginpwd=aDecoder.decodeObject(forKey: "loginpwd") as? String
        self.studentno=aDecoder.decodeObject(forKey: "studentno") as? String
        self.userphone=aDecoder.decodeObject(forKey: "userphone") as? String
        self.userbirthday=aDecoder.decodeObject(forKey: "userbirthday") as? Int
        self.cardid=aDecoder.decodeObject(forKey: "cardid") as? String
        self.headpic=aDecoder.decodeObject(forKey: "headpic") as? String
        self.usertype=aDecoder.decodeObject(forKey: "usertype") as? Int
        
        self.userstate=aDecoder.decodeObject(forKey: "userstate") as? Int
        self.bindmac=aDecoder.decodeObject(forKey: "bindmac") as? Int
        self.mac=aDecoder.decodeObject(forKey: "mac") as? String
        self.macname=aDecoder.decodeObject(forKey: "macname") as? String
        self.sbindmac=aDecoder.decodeObject(forKey: "sbindmac") as? Int
        self.opepassword=aDecoder.decodeObject(forKey: "opepassword") as? String
        self.createid=aDecoder.decodeObject(forKey: "createid") as? Int
        self.createname=aDecoder.decodeObject(forKey: "createname") as? String
        self.createtime=aDecoder.decodeObject(forKey: "createtime") as? Int
        self.deleteid=aDecoder.decodeObject(forKey: "deleteid") as? Int
        self.deletetime=aDecoder.decodeObject(forKey: "deletetime") as? Int
        self.schoolid=aDecoder.decodeObject(forKey: "schoolid") as? Int
        self.schoolname=aDecoder.decodeObject(forKey: "schoolname") as? String
        self.schoollevel=aDecoder.decodeObject(forKey: "schoollevel") as? Int
        self.schoolstate=aDecoder.decodeObject(forKey: "schoolstate") as? Int
        self.errorrate=aDecoder.decodeObject(forKey: "errorrate") as? Double
        self.year=aDecoder.decodeObject(forKey: "year") as? Int
        self.usersex=aDecoder.decodeObject(forKey: "usersex") as? Int
        self.cloudcode=aDecoder.decodeObject(forKey: "cloudcode") as? String
        self.classid=aDecoder.decodeObject(forKey: "classid") as? Int
        self.xznum=aDecoder.decodeObject(forKey: "xznum") as? Int
        self.token_value=aDecoder.decodeObject(forKey: "token_value") as? String
        
    }
    
    //编码成object,哪些属性需要归档，怎么归档
    func encode(with aCoder: NSCoder) {
        aCoder.encode(userid,forKey:"userid")
        aCoder.encode(username,forKey:"username")
        aCoder.encode(loginname,forKey:"loginname")
        aCoder.encode(loginpwd,forKey:"loginpwd")
        aCoder.encode(studentno,forKey:"studentno")
        aCoder.encode(userphone,forKey:"userphone")
        aCoder.encode(userbirthday,forKey:"userbirthday")
        aCoder.encode(cardid,forKey:"cardid")
        aCoder.encode(headpic,forKey:"headpic")
        aCoder.encode(usertype,forKey:"usertype")
        aCoder.encode(userstate,forKey:"userstate")
        aCoder.encode(bindmac,forKey:"bindmac")
        aCoder.encode(mac,forKey:"mac")
        aCoder.encode(macname,forKey:"macname")
        aCoder.encode(sbindmac,forKey:"sbindmac")
        aCoder.encode(opepassword,forKey:"opepassword")
        aCoder.encode(createid,forKey:"createid")
        aCoder.encode(createname,forKey:"createname")
        aCoder.encode(createtime,forKey:"createtime")
        aCoder.encode(deleteid,forKey:"deleteid")
        aCoder.encode(deletetime,forKey:"deletetime")
        aCoder.encode(schoolid,forKey:"schoolid")
        aCoder.encode(schoolname,forKey:"schoolname")
        aCoder.encode(schoollevel,forKey:"schoollevel")
        aCoder.encode(schoolstate,forKey:"schoolstate")
        aCoder.encode(errorrate,forKey:"errorrate")
        aCoder.encode(year,forKey:"year")
        aCoder.encode(usersex,forKey:"usersex")
        aCoder.encode(cloudcode,forKey:"cloudcode")
        aCoder.encode(classid,forKey:"classid")
        aCoder.encode(xznum,forKey:"xznum")
        aCoder.encode(token_value,forKey:"token_value")
        
    }
    
}

